%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/dennwc/varint
Version:                1.0.0
%global commit          2d9bdf4e8e69d9b1d5cbc270960451dda46c3231

%gometa

%global common_description %{expand:
Fast varint library for Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fast varint library for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
